Skip to main content
GET
/
api
/
v2
/
lead-labels
List lead label
curl --request GET \
  --url https://api.instantly.ai/api/v2/lead-labels \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019e3bd1-8e06-704d-a99f-98b349d77753",
      "timestamp_created": "2026-05-18T16:00:49.670Z",
      "created_by": "019e3bd1-8e06-704d-a99f-98b4d618bfcc",
      "organization_id": "019e3bd1-8e06-704d-a99f-98b5f12eaf8a",
      "label": "Hot Lead",
      "interest_status_label": "positive",
      "interest_status": 1,
      "description": "Used for marking high-priority leads",
      "use_with_ai": false
    }
  ],
  "next_starting_after": "019e3bd1-b5bb-73a1-b12a-c2df3fc05b86"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The starting after timestamp to filter lead labels by.

Example:

"2025-03-07T00:00:00.000Z"

The search query to filter lead labels.

Example:

"Hot Lead"

interest_status
enum<string>

The interest status to filter lead labels by.

Available options:
positive,
neutral,
negative
Example:

"positive"

Response

The list of Lead Label

items
Lead Label · object[]
required

The list of Lead Label

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019e3bd1-b5bb-73a1-b12a-c2df3fc05b86"